; Verzeichnis der registrierten Omd-Client-Parameter
; Auslieferungsversion 12/2025

; --------------------------------------- Auflistung der registrierten OMD-Clientidentitaeten
[Global]
ClientTypes=GC;ME;RF;S1;S2;S3;SH

; --------------------------------------- Definition der OMD-Clientidentitaeten

; Verschluesselung von Eintraegen:
; Wird den Namen des Eintrags ein Unterstrich vorangestellt, wird der Wert als
; verschluesselt interpretiert. Im Standardauslieferungszustand wird das fuer
; die Werte von ClientId und ClientSecret verwendet.
; Die Entschluesselung erfolgt mit dem internen Werten des Moduls craftsMgt.dll

; Konstanten fuer den Wert Protocol
; SSL3, TLS, TLS11, TLS12, TLS13

; Konstanten fuer den AuthType
; U - Username, (Standardfall)
; K - Kundennummer
; UtK - Username+Tab+Kundenummer

; Moegliche Eintraege je Klientidentitaet
; Name           Anzeigename des Datenlieferanten   
; Protocol       erforderliches https-Protokoll
; AuthType       Art der Authentifizierung
; AuthUri        Uri zur Anfordung des Access-Tokens
; ClientId       Beim Datenlieferanten registrierte ClientId
; ClientSecret   Beim Datenlieferanten registriertes ClientSecret
; GrantType      Abhaengig vom Datenlieferanten
; Scope          Abhaengig vom Datenlieferanten
; ServiceUri     Uri zur Abfrage der Produktdaten
; DataFieldName  Datenfeld in der Stammpositionen-Tabelle, das das Produkt identifiziert 
; ParameterName  Name des Paramters beim Datenlieferanten fuer die Uebergabe der Produktidentifikation
; PackageDefault Liste der Pakete, die minimal angefragt werden sollen
; PackageAll     Liste der Pakete, die der Datenlieferant zur Verfuegung stellt

; Nur fuer interne Testzwecke
; Knr       Kundenummer
; Uid       Benutzername
; Pwd       Passwort
; TestValue Produkt-ID fuer das Testprogramm

[ET]
Name=Testserver Echo
Protocol=
AuthType=UtK
Knr=Kunde
Uid=Name
Pwd=Passwort

AuthUri=http://sa-bare01/test/echo.asp
ClientId=ClientId
ClientSecret=ClientSecret
GrantType=password
Scope=openMasterdata

ServiceUri=http://sa-bare01/test/echo.asp
DataFieldName=EANcode
ParameterName=gtin
TestValue=1234567890123
PackageDefault=basic|descriptions
PackageAll=basic|additional|descriptions|logistics|sparepartlists|pictures|documents

[IT]
Name=ITEK Testsystem
Protocol=TLS12
Knr=
Uid=
Pwd=

AuthUri=https://services.test.open-datacheck.de/oauth2/token
_ClientId=ocAODi+yqGCX/i9QjSVM/4YPnY9V0RNZaHxkakC74P+W3ZwtmSOA2gsX7LttIKPo
_ClientSecret=
GrantType=password
Scope=openMasterdata

ServiceUri=https://services.test.open-datacheck.de/webservicehub/openmasterdata/v1.1.0/product/byGTIN
DataFieldName=EANcode
ParameterName=gtin
TestValue=4050663096571
PackageDefault=basic|descriptions
PackageAll=basic|additional|descriptions|logistics|sparepartlists|pictures|documents

[GC]
Name=GC-Gruppe Deutschland
Protocol=TLS12
Knr=
Uid=
Pwd=

AuthUri=https://api.distributors-network.com:443/omd/authentication/getAuthToken
_ClientId=/dKo6a9bLpkrvTPANEtZJo5QUXAqwUcKoRhbySObaJVrDaehp/rcVjyQ47Zs26Q2
_ClientSecret=iuH1TdHm7HWn75nDSczXqhYRqwretYipFjRX38Xo8Io=
GrantType=client_credentials
Scope=openMasterdata

ServiceUri=https://api.distributors-network.com:443/omd/v1.0/product/bySupplierPID
DataFieldName=Artnr
ParameterName=supplierPid
TestValue=EV
PackageDefault=basic|prices|descriptions
PackageAll=basic|prices|additional|descriptions|logistics|sparepartlists|pictures|documents

[ME]
Name=Mosecker
Protocol=TLS12
AuthType=U
Knr=
Uid=
Pwd=

AuthUri= https://online.mosecker.de/oauth2/token
_ClientId=eMKsP4y9KmoKzFmVuPZ7MooKaki2hbBXwyLhwKgNnEf+cWw3nj4v0pieSKtqwDjF
_ClientSecret=1lbsEUPl4v9Cga/o0bvs/kG7g6ePjGU8z2jQAUU/1TjQ41D4277r1WEcENdYSht6P13LUIrRrQG/MbatdTaHDbio/KVQr6tHhgrqifUDqlMijZ3/RBQlY1+rTnx1X9bF
GrantType=client_credentials
Scope=openMasterdata

ServiceUri=https://online.mosecker.de/omd/bySupplierPid/110
DataFieldName=Artnr
ParameterName=supplierPid
TestValue=SIF+DAM32M
PackageDefault=basic|prices|descriptions
PackageAll=basic|prices|additional|descriptions|logistics|sparepartlists|pictures|documents

[RF]
Name=Richter und Frenzel
Protocol=TLS12
AuthType=U
Knr=
Uid=
Pwd=

AuthUri=https://prd-cc.rf24.de/authorizationserver/oauth/token
_ClientId=nNSGAmjktD6rYJFJ5CYmDA==
_ClientSecret=udObVoQA+Ro2uX0v4CwVU5DE1aYWSfOjN9FLrqrJJU8=
GrantType=password
Scope=

ServiceUri=https://prd-cc.rf24.de/rufwebservices/v2/ruf/omd/product/1.1.0/pid
DataFieldName=Artnr
ParameterName=supplierPid
TestValue=7085973283000
PackageDefault=basic|prices|descriptions
PackageAll=basic|prices|additional|descriptions|logistics|sparepartlists|pictures|documents

[SH]
Name=Sanitaer-Heinze
Protocol=TLS12
AuthType=U
Knr=
Uid=
Pwd=

AuthUri=https://shop.sanitaer-heinze.com/openmasterdata(====)/auth
_ClientId=L9gKY4IX7iWvv2UrczC5XQ==
_ClientSecret=L9gKY4IX7iWvv2UrczC5XQ==
GrantType=password
Scope=openMasterdata

ServiceUri=https://shop.sanitaer-heinze.com/openmasterdata(====)/product
DataFieldName=Artnr
ParameterName=supplierPid
TestValue=DI407801500
PackageDefault=basic|prices|descriptions
PackageAll=basic|prices|additional|descriptions|logistics|sparepartlists|pictures|documents

[S1]
Name=Sonepar West
Protocol=TLS12
AuthType=UtK
Knr=
Uid=
Pwd=

AuthUri=https://www.sonepar.de/api/authentication/v1/oauth2/token?OrganizationId=1
_ClientId=yQHhHYYLZLq+wflNJd9eulN0TfR7LLU8Nr+74JkG7WqhUfZjoqUem0EIy8QMAtJ+K/33/R5eRBSD42q+HfFiHA==
_ClientSecret=
GrantType=password
Scope=openMasterdata

ServiceUri=https://www.sonepar.de/open-masterdata/v1/product/bySupplierPID/1.1.0
DataFieldName=Artnr
ParameterName=supplierPid
TestValue=0110320
PackageDefault=basic|prices|descriptions
PackageAll=basic|prices|additional|descriptions|logistics|sparepartlists|pictures|documents

[S2]
Name=Sonepar Sued
Protocol=TLS12
AuthType=UtK
Knr=
Uid=
Pwd=

AuthUri=https://www.sonepar.de/api/authentication/v1/oauth2/token?OrganizationId=7
_ClientId=yQHhHYYLZLq+wflNJd9eulN0TfR7LLU8Nr+74JkG7WqhUfZjoqUem0EIy8QMAtJ+K/33/R5eRBSD42q+HfFiHA==
_ClientSecret=
GrantType=password
Scope=openMasterdata

ServiceUri=https://www.sonepar.de/open-masterdata/v1/product/bySupplierPID/1.1.0
DataFieldName=Artnr
ParameterName=supplierPid
TestValue=0110320
PackageDefault=basic|prices|descriptions
PackageAll=basic|prices|additional|descriptions|logistics|sparepartlists|pictures|documents

[S3]
Name=Sonepar Nordost
Protocol=TLS12
AuthType=UtK
Knr=
Uid=
Pwd=

AuthUri=https://www.sonepar.de/api/authentication/v1/oauth2/token?OrganizationId=12
_ClientId=yQHhHYYLZLq+wflNJd9eulN0TfR7LLU8Nr+74JkG7WqhUfZjoqUem0EIy8QMAtJ+K/33/R5eRBSD42q+HfFiHA==
_ClientSecret=
GrantType=password
Scope=openMasterdata

ServiceUri=https://www.sonepar.de/open-masterdata/v1/product/bySupplierPID/1.1.0
DataFieldName=Artnr
ParameterName=supplierPid
TestValue=0110320
PackageDefault=basic|prices|descriptions
PackageAll=basic|prices|additional|descriptions|logistics|sparepartlists|pictures|documents
